Subject: Re: bug#31929: [PATCH] Install emacs-module.h (Bug#31929)

From: Philipp Stephani <[email-masked]>
Date: Fri, 21 Sep 2018 18:57:32 +0200

Glenn Morris <[email-masked]> schrieb am Fr., 21. Sep. 2018 um 17:36 Uhr:

> Philipp Stephani wrote:
>
> > +     $(MKDIR_P) -m 0755 $(includedir)
>
> I don't remember how portable that is, but everywhere else in Emacs's
> Makefiles uses: umask 022 && ${MKDIR_P} "...".
>

Good idea, done.

>
> And should this file only be installed in a --with-modules build?
>

I considered that, but I think it's simpler to install it unconditionally.
Users can use emacs-module.h to build modules even if their version of
Emacs doesn't support them.